org.apache.olingo.commons.api.edm

## Interface EdmSchema

- All Superinterfaces:
    EdmAnnotatable

      public interface EdmSchema
      extends EdmAnnotatable

  A csdl schema element

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EdmAction>` | `getActions()`
    `String` | `getAlias()`
    `List<EdmAnnotations>` | `getAnnotationGroups()`
    `List<EdmComplexType>` | `getComplexTypes()`
    `EdmEntityContainer` | `getEntityContainer()`
    `List<EdmEntityType>` | `getEntityTypes()`
    `List<EdmEnumType>` | `getEnumTypes()`
    `List<EdmFunction>` | `getFunctions()`
    `String` | `getNamespace()`
    `List<EdmTerm>` | `getTerms()`
    `List<EdmTypeDefinition>` | `getTypeDefinitions()`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getNamespace

          String getNamespace()

      Returns:
        the namespace for this schema

    - #### getAlias

          String getAlias()

      Returns:
        the alias for this schema. May be null.

    - #### getEnumTypes

          List<EdmEnumType> getEnumTypes()

      Returns:
        all enum types for this schema

    - #### getEntityTypes

          List<EdmEntityType> getEntityTypes()

      Returns:
        all entity types for this schema

    - #### getComplexTypes

          List<EdmComplexType> getComplexTypes()

      Returns:
        all complex types for this schema

    - #### getActions

          List<EdmAction> getActions()

      Returns:
        all actions for this schema

    - #### getFunctions

          List<EdmFunction> getFunctions()

      Returns:
        all functions for this schema

    - #### getTypeDefinitions

          List<EdmTypeDefinition> getTypeDefinitions()

      Returns:
        all `EdmTypeDefinition` for this schema.

    - #### getTerms

          List<EdmTerm> getTerms()

      Returns:
        all `EdmTerm` for this schema.

    - #### getAnnotationGroups

          List<EdmAnnotations> getAnnotationGroups()

      Returns:
        all `EdmAnnotations` for this schema.

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer()

      Returns:
        the entity container for this schema. May be null.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.